Delete the organization's OAuth app for an issuer
curl --request DELETE \
--url https://api.runaether.dev/v1/mcp-oauth-apps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.runaether.dev/v1/mcp-oauth-apps"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.runaether.dev/v1/mcp-oauth-apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}MCP Servers
Delete the organization's OAuth app for an issuer
Org admins only. Deletes the app and its secret. Every connection made with it needs its owner to connect again (needs_reauth, revoked), and servers of the issuer are refused a connection (mcp_oauth_app_required) until an admin saves an app again.
DELETE
/
mcp-oauth-apps
Delete the organization's OAuth app for an issuer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The authorization server's issuer: the one the probe's oauth_app_required result names.
Required string length:
1 - 2048Response
No Content